package sk.tuke.kpi.iot2.mqtt;

import java.nio.charset.StandardCharsets;

public class JavaExample {

    private static final String TOPIC = "kpi/test/lakatos/cursor";

    public static void main(String[] args) throws Exception{
        KpiMqttClient client = new KpiMqttClient();
        client.subscribe(TOPIC, (topic, message) -> {
            String result = new String(message.getPayload(), StandardCharsets.UTF_8);
            System.out.printf("Received message from topic '%s' with text '%s'\n",topic,result);

        });
        client.sendMessage(TOPIC,"test");
        Thread.sleep(5000);
        client.sendMessage(TOPIC, "test2");
    }

}
